# 電影|deepin-movie|

## 概述

愜意的悠閒時光，讓電影陪您一起度過！電影提供了直觀易用的操作界面和豐富齊全的快捷鍵，依靠鍵盤您就能完成所有的播放操作，讓您徹底擺脫鼠標單擊的束縛。您可以使用電影播放多種格式的影片文件。

![1|主界面](fig/main.png)

## 使用入門

### 運行電影

1. 單擊桌面底部的 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器界面。
2. 上下滾動鼠標滾輪瀏覽或通過搜索，找到電影 ![movie_24](../common/movie_24.svg) 單擊運行。
3. 右鍵單擊 ![movie-24](../common/movie_24.svg)，您可以：
 - 單擊 **傳送到桌面**，在桌面創建快捷方式。
 - 單擊 **傳送到任務欄**，將應用程序固定到任務欄。
 - 單擊 **加至開機啟動**，將應用程序添加到開機啟動項，在電腦開機時自動運行該應用。

### 關閉電影
- 在電影界面單擊 ![close_icon](../common/close.svg)，關閉電影。
- 在任務欄右鍵單擊 ![movie-24](../common/movie_24.svg)，選擇 **關閉所有** 來關閉電影。
- 在電影界面單擊 ![icon_menu](../common/icon_menu.svg)，選擇 **退出** 來關閉電影。

### 查看快捷鍵

在電影界面，按下鍵盤上的 **Ctrl + Shift + ?** 組合鍵，打開快捷鍵預覽界面。在影片播放的過程中，您也可以隨時調出快捷鍵預覽界面。

 ![1|快捷鍵界面](fig/hotkey.png)


## 主界面

執行常用的播放操作，享受影片帶給您的快樂！

![1|播放影片界面](fig/playmovie.png)

| 標號 | 名稱     | 說明                                                         |
| ---- | -------- | ------------------------------------------------------------ |
| 1    | 播放窗口 | 顯示影片內容，當鼠標指針移入播放窗口後將顯示標題欄和工具欄，當鼠標移出播放窗口或無操作時將隱藏標題欄和工具欄。播放窗口為無框模式，您可以任意拖拽播放窗口，手動調節播放窗口的大小。 |
| 2    | 時間顯示 | 顯示當前播放影片的時間總長和已經播放的時間訊息。             |
| 3    |  預覽窗口  | 顯示影片內容，通過預覽窗口查看某一時間點的影片內容。     |
| 4    | 進度條   | 顯示影片播放進度，拖拽進度條可以改變影片播放進度。將鼠標指針置於進度條上，將顯示影片預覽窗口。 |
| 5    | 標題欄 | 顯示正在播放的影片名稱。                                     |
| 6    | 主菜單  | 通過主菜單可添加影片、設置影片、切換窗口主題、查看幫助手冊和版本訊息等。                      |

> ![notes](../common/notes.svg)說明 ：當鼠標置於進度條上時，默認顯示預覽窗口。若要關閉預覽窗口，請在設置中取消勾選 **鼠標懸停進度條時顯示預覽**。

### 工具欄介紹

| 圖標                                                       | 名稱              | 圖標                                                      | 名稱           |
| ---------------------------------------------------------- | ----------------- | --------------------------------------------------------- | -------------- |
| <img src="../common/last_normal.svg" class="inline" /> | 播放上一個影片    | <img src="../common/next_normal.svg" class="inline" /> | 播放下一個影片 |
| <img src="../common/play_normal.svg" class="inline" /> | 開始播放影片      | <img src="../common/suspend_normal.svg" class="inline" /> | 暫停播放影片   |
| <img src="../common/zoom_in_normal.svg" class="inline" /> | 全螢幕播放          | <img src="../common/zoom_out_normal.svg" class="inline" /> |  退出全螢幕      |
| <img src="../common/volume_normal.svg" class="inline" /> | 調節音量       |<img src="../common/episodes_normal.svg" class="inline" />|呼出/隱藏播放列表|


## 操作介绍

### 添加影片

您可以通過以下方式來播放影片：
- 當播放列表沒有文件時，單擊 ![play](../common/play_normal.svg) 或 ![movie_24](../common/movie_24.svg) 按鈕，打開文件管理器選擇影片文件。
- 單擊鼠標右鍵或從 ![menu](../common/icon_menu.svg) 選擇 **開啓檔案**， 選擇影片文件。
- 單擊鼠標右鍵或從 ![menu](../common/icon_menu.svg) 選擇 **開啓資料夾**，文件夾中的影音文件將全部顯示在播放列表中，並依次進行播放。
- 單擊鼠標右鍵，選擇 **打開網址**，黏貼在線播放地址，播放在線影片。
- 單擊鼠標右鍵，選擇 **播放光盤**，播放光盤中的影片。
- 直接拖拽文件或文件夾到影院界面上，來播放本地影片。
  
> ![notes](../common/notes.svg) 說明：當使用觸控屏電腦時，一指按住影片文件拖拽到電影界面來播放影片。

> ![attention](../common/attention.svg) 注意 ：使用電影在線播放影片時，請確保您的電腦是連網狀態。

![0|open](fig/open.png)

### 快進/快退

- 在電影界面，鼠標拖動進度條來快進或快退影片。
- 在電影界面，按下鍵盤上的 ![Right](../common/Right.svg) 鍵快進影片或 ![Left](../common/Left.svg) 鍵快退影片。
>![notes](../common/notes.svg) 說明 ：當使用觸控屏電腦時，在全螢幕狀態下，一指向左滑動影片畫面區域快退影片，一指向右滑動影片畫面區域快進影片。



### 調整播放窗口
在播放影片時，您可以靈活的調整播放窗口大小。

在電影界面上，單擊鼠標右鍵：
- 選擇 **全螢幕**，將播放窗口調整成全螢幕。
- 選擇 **迷你模式**，將播放窗口調整成迷你模式。
- 選擇 **置頂窗口**，將播放窗口置頂到桌面上方。
- 您也可以使用鼠標拖拽窗口邊緣，自由調整窗口大小。

>![notes](../common/notes.svg)說明 ：在電影窗口上雙擊鼠標，在全螢幕與正常窗口之間切換。

![0|windows](fig/fullscreen.png)

### 調整播放模式

1. 在電影界面上，單擊鼠標右鍵。
2. 將鼠標移動到 **播放模式**，您可以：
 - 選擇 **順序播放**，將按照播放列表順序依次播放影片，播放列表中最後一個文件播放結束後停止。
 - 選擇 **隨機播放**，將隨機播放列表裏的文件，播放列表中的文件全部隨機播放一遍之後繼續循環隨機播放。
 - 選擇 **單個播放**，將當前影片播放完成後停止。
 - 選擇 **單個循環**，將循環播放當前影片。
 - 選擇 **列表循環**，將按照播放列表順序依次播放影片，播放列表中最後一個文件播放結束後重新播放第一個文件。

![0|mode](fig/mode.png)

### 調整播放速度

1. 在影院界面上，單擊鼠標右鍵。
2. 選擇 **倍速播放**，在下拉菜單中選擇播放速度。

>![tips](../common/tips.svg) 竅門：您也可以使用快捷鍵來進行倍速播放，加速/ 減速播放是相對於原播放速度而言的，每加速/減速一次，影片播放速度默認增加/減少0.1 倍；最高播放速度為2倍的原播放速度，最低播放速度為0.1倍的原播放速度。
> - 按下鍵盤上的 **Ctrl** +![Right](../common/Right.svg)鍵，影片加速播放。
> - 按下鍵盤上的 **Ctrl** +![Left](../common/Left.svg)鍵，影片減速播放。
> - 按下鍵盤上的 ![R](../common/R.svg) 鍵，恢復原速播放。

![0|speed](fig/playback.png)

### 調整影格
1. 在電影界面上，單擊鼠標右鍵。
2. 將鼠標移動到 **影格**，您可以：
 - 選擇一種影格比例，將播放畫面調整成相應的比例。
 - 選擇一種旋轉方式，將播放畫面相應旋轉。
 - 跳轉到上一幀/下一幀。

![0|frame](fig/frame.png)

### 調整音效
1. 在電影界面上，單擊鼠標右鍵。
2. 將鼠標移動到 **音效**，您可以：
 - 選擇 **聲道**，選擇影片的播放聲道。
 - 選擇 **音軌**，選擇影片的播放音軌。

> ![notes](../common/notes.svg) 說明：當使用觸控屏電腦時，在全螢幕狀態下，一指向上滑動影片畫面區域增加音量，一指向下滑動影片畫面區域減小音量。

![0|sound](fig/sound.png)

### 調整字幕
1. 在電影界面上，單擊鼠標右鍵。
2. 將鼠標移動到 **字幕**，您可以：
 - 選擇 **載入字幕**，手動選擇字幕文件加入到影片中。
 - 選擇 **查找在線字幕**，影院將在線匹配字幕，匹配成功後自動載入。
 - 選擇 **選擇字幕**，在多個字幕間切換選擇。
 - 選擇 **隱藏字幕**，取消當前的字幕顯示。
 - 選擇 **編碼**，切換字幕的編碼方式，來解決某些情況下字幕顯示亂碼的問題。

![0|subtitles](fig/subtitles.png)

### 截圖
1. 在電影界面上，單擊鼠標右鍵。
2. 將鼠標移動到 **截圖**，您可以：
 - 選擇 **影片截圖**，可以對當前畫面進行截圖。
 - 選擇 **連拍截圖**，可以分別截取影片不同時段的圖片，最後組成一張劇情連拍預覽圖。
 - 選擇 **前往截圖文件夾**，查看截圖。

![0|subtitles](fig/capture.png)

### 查看影片訊息

1. 在電影界面上，單擊鼠標右鍵。
2. 選擇 **影片訊息**，可以查看影片的詳細訊息。


## 列表管理

您可以進入播放列表來添加或刪除影片文件。

### 刪除影片文件

1. 在電影界面，單擊 ![movie](../common/episodes_normal.svg )。
2. 進入播放列表窗口，右鍵單擊影片文件。
3. 選擇 **從播放列表刪除**。

> ![tips](../common/tips.svg)竅門： 在播放列表界面，選擇一個影片文件，單擊按鈕 ![關閉圖標](../common/close.svg) 刪除該影片文件。

![list](fig/list.png)


### 清空播放列表

1. 在電影界面，單擊 ![movie](../common/episodes_normal.svg )。
2. 進入播放列表窗口，右鍵單擊影片文件。
3. 選擇 **清空播放列表**。

### 在檔案管理員顯示

1. 在電影界面，單擊 ![movie](../common/episodes_normal.svg )。
2. 進入播放列表窗口，右鍵單擊影片文件。
3. 選擇 **在檔案管理員顯示**，打開影片所在的文件夾。

## 主菜單

在主菜單中，您可以開啟檔案/開啟資料夾、切換窗口主題、查看幫助手冊，了解電影的更多訊息。
### 設置

您可以對基本訊息、快捷鍵和字幕進行設置。

#### 基本設置

1. 在電影界面，單擊鼠標右鍵或 ![界面按鈕圖標](../common/icon_menu.svg)。
2. 選擇 **設置**。
3. 在 **播放** 選項，您可以：
  - 勾選 **退出影院時清空播放列表** 複選框，在您退出影院後將播放列表完全清空。
  - 勾選 **記錄播放時間** 複選框，在打開影院後自動接續上次關閉時的影片播放。
  - 勾選 **自動查找相似文件連續播放** 複選框，將同一個文件夾下名稱相似的影片文件自動添加到播放列表中依次進行播放。
  - 勾選 **鼠標懸停進度條時顯示預覽** 複選框，當鼠標置於播放進度條上時顯示預覽窗口。
  - 勾選 **鼠標滑動進度條為膠片格式** 複選框，當鼠標置於播放進度條時顯示膠片進度。

   >![notes](../common/notes.svg)說明：僅x86平台支持膠片格式。

  - 勾選 **最小化時暫停** 複選框，在影院最小化時自動暫停影片文件的播放。
  - 設置默認播放模式，在“默認播放模式”下拉框中選擇一個模式，下次啟動影院時默認以該模式來播放。
4. 在 **截圖** 選項，您可以自定義截圖的保存路徑。

#### 快捷鍵設置

1. 在電影界面，單擊鼠標右鍵或 ![界面按鈕圖標](../common/icon_menu.svg)。
2. 選擇 **設置**。
3. 在 **快捷鍵** 選項中查看快捷鍵，支持自定義快捷鍵。


#### 字幕設置

1. 在電影界面，單擊鼠標右鍵或 ![界面按鈕圖標](../common/icon_menu.svg)。
2. 選擇 **設置**。
3. 在 **字幕** 選項，您可以：
 - 選擇字體樣式。
 - 選擇字幕大小。

>  ![attention](../common/attention.svg)注意：單擊設置界面上的 **恢復默認**，會將所有預設值恢復到默認狀態。


### 主題

窗口主題包含淺色主題、深色主題和系統主題。

1. 在電影界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 選擇 **主題**，選擇一種主題顏色。


### 幫助

查看幫助手冊，進一步了解和使用影院。

1. 在電影界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 選擇 **幫助**。
3. 查看電影的幫助手冊。


### 關於

1. 在電影界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 選擇 **關於**。
3. 查看影院的版本和介紹。

### 退出

1. 在影院界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 選擇 **退出**。